Subject: bug#43007: 27.1; M-j doesn't behave properly in comments

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Aug 2020 03:41:04 +0200

Alessio Vanni <[email-masked]> writes:

> I normally use M-j to continue a long comment over multiple lines.
> Recently, this feature broke in a rather weird way: new lines are opened
> as a comment, but the new line is placed above the line with the point,
> rather than below.  In some other cases, the line appears in the correct
> place, but opening a new line results in a '*' character instead of a
> comment (the character is used on modes where '*' is part of a comment,
> like `js-mode' or `cc-mode'.)
>
> This happens when running "emacs -Q" too.
>
> Example:
>
> // some comment.
>
> Becomes:
>
> //
> // some comment.

This happens for me, too, if I have point behind the "//" characters.
But that seems like a natural behaviour?

> Alternatively:
>
> // some comment.
> //
> //
>   *
>   *
>   *
>   *
>
> (the '*' just keeps happening for every M-j.)

I'm unable to reproduce this in Emacs 28.  Where is point when you hit M-j?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no